%define pkg_name        Devel-FastProf
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 1.n0i.3

Summary:       Fast perl per-line profiler
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SALVA/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Sort::Key) >= 1.01
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Sort::Key) >= 1.01}

%global perl_filter_prov 'perl\\(DB\\)'


%description
"Devel::FastProf" is a perl per-line profiler. What that means is that it
can tell you how much time is spent on every line of a perl script (the
standard Devel::DProf is a per-subroutine profiler).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.08

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.2
- version 0.05

* Wed Sep 21 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
